Client A P I
Get file contents
Returns raw text contents for a server file.
GET
/api/client/servers/{server_uuid}/files/contentsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Query Parameters
file*string
Path to the file to read.
Response Body
text/plain
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/files/contents?file=%2Fserver.properties""motd=A Minecraft Server\nserver-port=25565"